#include <iostream>

using namespace std;

int a[200000];
int konok[200000];

//konok = KOliko Nije OK

int main()
{
    int n,q;
    cin>>n;
    int i;
    cin>>a[0];
    konok[0]=0;
    for(i=1;i<n;i++){
        cin>>a[i];
        if(a[i-1]>a[i]){
            konok[i]=konok[i-1]+1;
        }
        else{
            konok[i]=konok[i-1];
        }
    }
    cin>>q;
    int l,r;
    int pr;
    for(i=0;i<q;i++){
        cin>>l>>r;
        l--;
        r--;
        if(l==0){
            pr=konok[r];
        }
        else{
            pr=konok[r]-konok[l-1];
        }
        if(pr>1){
            cout<<"NE"<<endl;
        }
        else{
            cout<<"DA"<<endl;
        }
    }
    return 0;
}